/*---------- global ----------*/
body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.3;
    text-align: center;
    width: 100%;
}

img {
    margin: 0;
    display: block;
}

h1 {
    margin: 0px;
    padding-top: 100px;
    color: white;
    text-shadow: 4px 4px 4px rgba(0, 0, 0, .4);
}

h2, h3 {
    margin: 0 0 20px 0;
    font-size: 30px;
    font-weight: 600;
    color: #1a1a1a;
}

h3 {
    text-shadow: 4px 4px 4px rgba(0, 0, 0, .4);
}

p {
    padding: 0;
    margin: 0;
    font-family: 'Times New Roman', Times, serif;
    color: #1a1a1a;
    font-size: 16px;
    text-align: left;
}

.button {
    display: inline-block;
    background:#E8D1B1;
    color: white;
    padding: 5px 20px;
    font-size: 16px;
    border-radius: 100px;
    text-decoration: none;
}

section {
    border-bottom: solid 0.5px rgba(0, 0, 0, 0.5);
    padding: 40px 0;
}

.button:hover {
    background: white;
    color: black;
}

.wrapper {
    width: 90%;
    margin: 0 auto;
}

#landing {
    height: 100vh;
    width: 100%;
}

#landing .bg-image {
    position: absolute;
    background: url(bilder/index/huvud_2019-07-15.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 100vh;
    z-index: -1;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

/*---------- Navigation ----------*/
nav {
    min-height: 70px;
    line-height: 70px;
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    background-color: rgba(0, 0, 0,.4);
}


.menu {
    background-color: rgba(0, 0, 0,.4);
    position: absolute;
    top: 70px;
    width: 100%;
    display: none;
    right: 0px;
}

.menu a {
    display: block;
    text-decoration: none;
    color: white;
    line-height: 55px;
}


.menu ul li {
    list-style: none;
    text-align: left;
}

ul ul {
    border-bottom: 1px solid rgba(255, 255, 255, .3);
    border-top: 1px solid rgba(255, 255, 255, .3);
}

.logo img {
    position: absolute;
    height: 26px;
    left: 0px;
    margin-top: 22px;
    margin-left: 5%;
    display: block;
}


label {
    font-size: 26px;
    line-height: 70px;
    width: 26px;
    right: 0px;
    position: absolute;
    color: white;
    margin-right: 5%;
}
#toggle {
    display: none;
}

label {
    display: block;
    cursor: pointer;
}

#toggle:checked + .menu {
    display: block;
    border-top: 1px solid rgba(255, 255, 255, .3); 
}


.header_content {
    display: none;
    position: absolute;
    bottom: 50px;
    left: 0px;
    width: 100%;
}


.header_content ul {
    margin: 10px 0px;
    padding: 10px 0px 10px 5%;
    background-color: rgba(0, 0, 0, 0.3);
    width: 40%;
}

.header_content li {
    list-style: none;
    display: flex;
    padding: 5px 0;
}
.header_content a {
    color: white;
    margin-left: 10px;
    text-decoration: none;
}

.header_content img {
    height: 16px;
}


.dividor img{
    background-size: cover;
    width: 100%;
    margin: 20px 0;
    opacity: 0.15;
}

/*---------- Section-a ----------*/
#section-a {
    position: relative;
}
#section-a .bg-image {
    position: absolute;
    background-image: url(bilder/index/krumilur.jpg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    top: 20px;
    width: 90vw;
    height: 30%;
    z-index: -1;
    margin: auto;
}

#section-a h2 {
    border-bottom: 1px solid rgba(0, 0, 0, 0.5);
    display: inline-block;
    padding: 20px 7px 1px 7px;
    margin-bottom: 20px;
}


/*---------- Section-b ----------*/
#section-b {
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 20px;
    width: 100%;
    height: auto;
}

.card {
    position: relative;
}


.img-box {
    width: 100%;
    background-color: black;
}

#section-b img {
    width: 100%;
    height: 100%;
    opacity: 0.7;
}

.content {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    z-index: 10;
    align-items: center;
}

#section-b h3 {
    color: white;
    margin: 30px 0 0 0;
    padding: 0px;
}

.card p {
    color: green;
    display: inline-block;
    margin-top: 10px;
    width: 80%;
    text-align: center;
    color: white;
}

#section-b .button {
    display: inline-block;
    background: #E8D1B1;
    padding: 5px 20px;
    position: absolute;
    bottom: 40px;
    text-align: center;
}

#section-b .content a {
    text-shadow: 1px 1px 2px rgba(0, 0, 0, .2);
}

/*---------- Section-c Historia ----------*/
#section-c .h2_desktop {
    display: none;
}

#section-c {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#section-c .historia {
    max-height: 500px;
    height: 100%;
    display: flex;
}

#section-c .button {
    align-self: center;
    margin-top: 20px;
}


#section-c img {
    height: auto;
    width: 80%;
    margin: auto;
    margin-bottom: 20px;
}

/*---------- section-d ----------*/
#section-d {
    width: 100%;
}

#section-d h2 {
    padding: 0px;
    margin-bottom: 20px;
}

#map {
    width: 100%;
    height: 300px;
    margin: 20px 0px;
}

#section-d a {
    color: #B0413E; 
}

/*---------- section-e ----------*/
#section-e {
    border-bottom: 0px;
}

#section-e p {
   text-align: center;
}

#section-e a {
    color: #B0413E;
}

/*---------- footer ----------*/
footer {
    display: flex;
    height: 70px;
    background-color: #fafafa;
    width: 100%;
    justify-content: center;
    align-items: center;
    margin-top: 5px;
}

footer #projekt_p {
    margin-left: 50px;
}

footer img {
    width: 30px;
    height: 30px;
    margin: 4px;
}

footer p {
    text-align: center;
    margin: 10px;
    font-size: 20px;
}

/*---------- subsidor ----------*/
.våra_tjänster {
    height: 30vh;
    width: 100%;
}

/*---------- våra tjänster a ----------*/
.våra_tjänster_a {
    border-bottom: 0.5px solid rgba(0, 0, 0, 0.5);
    padding: 40px 0px;
}

.våra_tjänster_a p{
    padding: 0;
}

.våra_tjänster_a a{
    color: #B0413E;
}

/*---------- våra tjänster b ----------*/
.våra_tjänster_b {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-gap: 10px;
}

.våra_tjänster_b img {
    width: 100%;
}


/*---------- våra tjänster c ----------*/

.våra_tjänster_c a {
    color: #B0413E;
}


/*---------- Guidad visning ----------*/
#guidad_visning .bg-image {
    position: absolute;
    background: url(bilder/guidad_visning/guidad_visning_bakgrund_2019-07-15.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 30vh;
    z-index: -1;
    margin: 0;
    padding: 0;
    overflow: hidden;
}


/*---------- fest ----------*/
#fest .bg-image {
    position: absolute;
    background: url(bilder/fest/fest_bakgrund_2019-07-15.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 30vh;
    z-index: -1;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

/*---------- konferens ----------*/
#konferens .bg-image {
    position: absolute;
    background: url(bilder/konferens/konferens_bakgrund_2019-07-15.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 30vh;
    z-index: -1;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

/*---------- Herrgårdshelg ----------*/
#affärslunch .bg-image {
    position: absolute;
    background: url(bilder/hhelg/hhelg_bakgrund_2019-07-15.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 30vh;
    z-index: -1;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

/*---------- boende ----------*/
#boende .bg-image {
    position: absolute;
    background: url(bilder/boende/boende_bakgrund_2019-07-15.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 30vh;
    z-index: -1;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

/*---------- projekt ----------*/
#projekt .bg-image {
    background: url(bilder/projekt/projekt_loge_bakgrund_2019-07-15.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 30vh;
    z-index: -1;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

#eu_logo{
    margin-top: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 200px;
    display: block;
    margin-left: auto;
    margin-right: auto
}

#eu_logo img{
    display: block;
    margin-left: auto;
    margin-right: auto
}




.fullsize_img img {
    margin: auto;
    width: 80%;
    height: 100%;
    padding: 40px 0px; 
}


@media(min-width: 1000px) {

    /*---------- desktop navigation ----------*/
    #toggle, label[for=toggle] {
        display: none;
    }

    .menu li:hover {
        background-color: rgba(0, 0, 0, .4);
    }

    .menu {
        display: flex;
        top: 0px;
    }

    .menu .ul1 {
        position: absolute;
        right: 0;
        top: 0;
        margin: 0px;
        padding: 0px;
        margin-right: 5%;
    }

    .menu a {
        line-height: 70px;
    }

    .menu .ul1 li .ul2 {
        all: unset;
        border: 0px;
        display: flex;
        flex-direction: column;
        background-color: rgba(232, 209, 177,.7);
        display: none;
    }

    .menu li:hover .ul2 {
        display: flex;
    }
    
    .menu .ul1 li {
        float: left;
    }

    .menu .ul1 li a {
        display: block;
        text-align: center;
        padding: 0px 30px;
        font-size: 14px;
    }

    .menu .ul2 li a {
        margin: 0px;
        padding: 0px 30px;
    }
    


    /*---------- Section-a desktop ----------*/
    #section-a {
        display: flex;
        align-items: center;
        height: auto;
        padding: 100px;
    }
    
    #section-a .bg-image {
        top: 20px;
        width: 90%;
        height: 60%;
        padding-bottom: 50px;
    }
    
    #section-a h2 {
        white-space: nowrap;
        text-align: left;
        border-bottom: 0px;
        padding: 0px;
        margin: 0 50px 0 0;
    }
    
    #section-a p {
        border-left: 1px solid rgba(0, 0, 0, .5);
        padding-left: 10px;
    }

    /*---------- Section-b desktop ----------*/
    #section-b {
        display: grid;
        grid-column-gap: 20px;
    }

    #section-b {
        grid-template-columns: 1fr 1fr 1fr;
    }

    #one_by_three_img img {
        display: none;
    }

    #one_by_three_img {
        grid-column: 1/4;
        background: url(bilder/index/index_hhelg_desktop_2020-01-05.jpg);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 400px;
        overflow: hidden;
    }

    #one_by_three_img p{
        width: 40%;
        text-align: center;
        color: #E3E3E3
    }

    #section-b .button {
        bottom: 10%;
    }

    #section-b h3 {
        top: 5%;
    }

    /*---------- Section-c desktop ----------*/
    #section-c .h2_mobile {
        display: none;
    }

    #section-c {
        display: grid;
        grid-template-columns: 1fr 1fr;
        height: 500px;
        margin-top: 50px;
    }

    #section-c .historia {
        text-align: left;
        padding-left: 1em;
    }

    .horizontal_wrapper {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    #section-c .h2_desktop {
        display: block;
        margin-top: 1em;
        padding: 0;
    }

    #section-c .horizontal_wrapper .button {
        align-self:flex-start;
    }

    #section-c img {
        grid-column: 1/2;
        text-align: center;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }

    /*---------- Section-d hitta hit desktop ----------*/
     #section-d p {
        padding: 0 20%;
        text-align: center;
    }

    #map {
        height: 500px;
    }

    #adress p {
        text-align: center;
    }

    /*---------- Om oss desktop ----------*/
    #om_oss p {
        width: 60%;
        text-align: left;
        margin: auto;
    }

    /*---------- section-e kontakt desktop ----------*/
    #section-e {
        padding: 40px 0 80px 0;
    }

    /*---------- subsidor desktop ----------*/
    .våra_tjänster_a p {
        width: 60%;
        margin: auto;
    }

    .våra_tjänster_b {
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-template-rows: 0fr;
    }

    .våra_tjänster, #guidad_visning .bg-image, #fest .bg-image, #konferens .bg-image,
    #affärslunch .bg-image, #boende .bg-image, #projekt .bg-image {
        height: 50vh;
    }

    h1 {
        padding-top: 200px;
        font-size: 40px;
    }
    
}

@media(min-width: 1500px) {
    #section-c img {
        width: 60%;
    }
}

@media(max-width: 400px) {a
    section {
        padding: 20px 0;
    }

    #section-b .button {
        bottom: 10px;
        font-size: 14px;
    }

    #section-b p {
        font-size: 15px;
    }

    #section-b h3 {
        margin-top: 20px;
        font-size: 25px;
    }

    #section-c .button {
        font-size: 14px;
    }

    footer img {
        margin: 6px;
        width: 20px;
        height: 20px;
    }
}